Videos
Create a video
Creates a video from the supplied request.
Anforderungstext
The multipart request body.
model
OpenAI.CreateVideoMultipartBody
The video generation model to use (allowed values: sora-2, sora-2-pro). Defaults to sora-2.
prompt
string
Erforderlich
Text prompt that describes the video to generate.
input_reference
any | OpenAI.ImageRefParam
seconds
OpenAI.CreateVideoMultipartBody
Clip duration in seconds (allowed values: 4, 8, 12). Defaults to 4 seconds.
size
OpenAI.CreateVideoMultipartBody
Output resolution formatted as width x height (allowed values: 720x1280, 1280x720, 1024x1792, 1792x1024). Defaults to 720x1280.
Antworten
The request has succeeded.
Text
id
string
Erforderlich
Unique identifier for the video job.
object
enum
Erforderlich
The object type, which is always video.
model
string | enum
Erforderlich
enum
status
enum
Erforderlich
created_at
integer
Erforderlich
Unix timestamp (seconds) for when the job was created.
completed_at
integer | null
Erforderlich
Unix timestamp (seconds) for when the job completed, if finished.
expires_at
integer | null
Erforderlich
Unix timestamp (seconds) for when the downloadable assets expire, if set.
size
enum
Erforderlich
seconds
string
Erforderlich
Duration of the generated clip in seconds. For extensions, this is the stitched total duration.
error
OpenAI.Error-2 | null
Erforderlich
An error that occurred while generating the response.
code
string
Erforderlich
A machine-readable error code that was returned.
message
string
Erforderlich
A human-readable description of the error that was returned.
headers
object
The Retry-After and Retry-After-Ms headers returned with the original error, if any.
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
Erforderlich
The public continuation instruction.
Anfordern
curl https://api.openai.com/v1/videos \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-F "model=sora-2" \
-F "prompt=A calico cat playing a piano on stage"
import OpenAI from 'openai';
const openai = new OpenAI();
const video = await openai.videos.create({ prompt: 'A calico cat playing a piano on stage' });
console.log(video.id);
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
video = client.videos.create(
prompt="x",
)
print(video.id)
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
video, err := client.Videos.New(context.TODO(), openai.VideoNewParams{
Prompt: "x",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", video.ID)
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
video = openai.videos.create(prompt: "x")
puts(video)
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.videos.Video;
import com.openai.models.videos.VideoCreateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
VideoCreateParams params = VideoCreateParams.builder()
.prompt("x")
.build();
Video video = client.videos().create(params);
}
}
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const video = await client.videos.create({ prompt: 'x' });
console.log(video.id);
Antwort
{
"id": "video_123",
"object": "video",
"model": "sora-2",
"status": "queued",
"progress": 0,
"created_at": 1712697600,
"size": "1024x1792",
"seconds": "8",
"quality": "standard"
}